# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/purpose': '@latest-kf6'
    'frameworks/qqc2-desktop-style': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'
    'libraries/futuresql': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux' ]
